"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const globals_1 = require("@jest/globals");
const react_hooks_1 = require("@testing-library/react-hooks");
const use_unmount_signal_1 = __importDefault(require("../use-unmount-signal"));
globals_1.test(`it returns an AbortSignal`, () => {
    const { result } = react_hooks_1.renderHook(() => use_unmount_signal_1.default());
    globals_1.expect(result.current).toBeInstanceOf(AbortSignal);
});
globals_1.test(`it marks the AbortSignal as aborted when unmounted`, () => {
    const { result, unmount } = react_hooks_1.renderHook(() => use_unmount_signal_1.default());
    globals_1.expect(result.current.aborted).toBe(false);
    unmount();
    globals_1.expect(result.current.aborted).toBe(true);
});
globals_1.test(`it does not change the AbortSignal when re-rendered`, () => {
    const { result, rerender } = react_hooks_1.renderHook(() => use_unmount_signal_1.default());
    const initialAbortSignal = result.current;
    rerender();
    globals_1.expect(result.current).toBe(initialAbortSignal);
});
//# sourceMappingURL=use-unmount-signal-test.js.map